#include <iostream>
#include <algorithm> 
using namespace std;

int main() 
{
	double a;
	double b;
	double c;

	cin >> a;
	cin >> b;
	cin >> c;

	double f = a;
	double g = b;
    double h = c;

	while (f >= 10)
	{
		f = a / 10;
	}
	while (g >= 10) 
	{
		g = b / 10;
	}

	while (h >= 10)
	{
		h = c / 10;
	}

	if (f < g) {
		swap(a, b);
	}
	if (f < h) {
		swap(a, c);
	}
	if (g < h) {
		swap(b, c);
	}

	cout << a << b << c;
}